#!/usr/bin/perl -w

use strict;

my $path = '../bin';
#my @tasks = qw(heasget xtefiles mkfilt mkgti mkgti5 prepback hxtspec mklc1 mklc2 pcaspec selfaint pcaoverview nspec xenonmerge pg_over pcapds pcarmse readpars readcols pow pds2pha pg_pars pg_pow anim);

my $filt = (@ARGV) ? $ARGV[0] : '';

opendir(DIR, $path);
my @tasks = grep /$filt/, readdir(DIR);
for my $t (@tasks)
{
  next if $t =~ /~$/;
  `perldoc -o LaTeX -d ${t}.tex $t`;
  #`perldoc -o text -d ${t}.txt $t`;
  if(!$?)
  {
    `latex $t; dvips $t`;
    unlink "${t}.tex", "${t}.dvi", "${t}.aux", "${t}.log", "${t}.idx";
  }
}
      